﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.36366
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace QMDDashboard_TPL.UploadTemplate {
    using System.Web.UI.WebControls.Expressions;
    using System.Web.UI.HtmlControls;
    using System.Collections;
    using System.Text;
    using System.Web.UI;
    using System.Collections.Generic;
    using System.Linq;
    using System.Xml.Linq;
    using Microsoft.SharePoint.WebPartPages;
    using System.Web.SessionState;
    using System.Configuration;
    using Microsoft.SharePoint;
    using System.Web;
    using System.Web.DynamicData;
    using System.Web.Caching;
    using System.Web.Profile;
    using System.ComponentModel.DataAnnotations;
    using System.Web.UI.WebControls;
    using System.Web.Security;
    using System;
    using Microsoft.SharePoint.Utilities;
    using System.Text.RegularExpressions;
    using System.Collections.Specialized;
    using System.Web.UI.WebControls.WebParts;
    using Microsoft.SharePoint.WebControls;
    
    
    public partial class UploadTemplate {
        
        protected global::System.Web.UI.WebControls.Label lblTemplate;
        
        protected global::System.Web.UI.WebControls.DropDownList ddlTemplate;
        
        protected global::System.Web.UI.WebControls.Label lblProjectName;
        
        protected global::System.Web.UI.WebControls.DropDownList ddlProjectName;
        
        protected global::System.Web.UI.WebControls.Label lblPeriod;
        
        protected global::System.Web.UI.WebControls.DropDownList ddlPeriod;
        
        protected global::System.Web.UI.WebControls.Label lblTemplateUpload;
        
        protected global::System.Web.UI.WebControls.FileUpload fuTemplateUpload;
        
        protected global::System.Web.UI.WebControls.Button btnUpload;
        
        protected global::System.Web.UI.UpdatePanel udpbtnDownload;
        
        protected global::System.Web.UI.WebControls.Label lblError;
        
        protected global::System.Web.UI.WebControls.Label lblSuccess;
        
        protected global::System.Web.UI.UpdatePanel updatePanelDownload;
        
        protected global::System.Web.UI.UpdateProgress upProgressBar;
        
        public static implicit operator global::System.Web.UI.TemplateControl(UploadTemplate target) 
        {
            return target == null ? null : target.TemplateControl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblTemplate() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblTemplate = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblTemplate";
            @__ctrl.Text = "Template:";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControlddlTemplate() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            this.ddlTemplate = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddlTemplate";
            @__ctrl.AutoPostBack = true;
            @__ctrl.AppendDataBoundItems = true;
            @__ctrl.SelectedIndexChanged -= new System.EventHandler(this.ddlTemplate_SelectedIndexChanged);
            @__ctrl.SelectedIndexChanged += new System.EventHandler(this.ddlTemplate_SelectedIndexChanged);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProjectName() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProjectName = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProjectName";
            @__ctrl.Text = "Project Name:";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControlddlProjectName() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            this.ddlProjectName = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddlProjectName";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            @__ctrl.AutoPostBack = true;
            @__ctrl.SelectedIndexChanged -= new System.EventHandler(this.ddlProjectName_SelectedIndexChanged);
            @__ctrl.SelectedIndexChanged += new System.EventHandler(this.ddlProjectName_SelectedIndexChanged);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblPeriod() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblPeriod = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblPeriod";
            @__ctrl.Text = "Period:";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControlddlPeriod() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            this.ddlPeriod = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddlPeriod";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            @__ctrl.AutoPostBack = true;
            @__ctrl.SelectedIndexChanged -= new System.EventHandler(this.ddlPeriod_SelectedIndexChanged);
            @__ctrl.SelectedIndexChanged += new System.EventHandler(this.ddlPeriod_SelectedIndexChanged);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblTemplateUpload() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblTemplateUpload = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblTemplateUpload";
            @__ctrl.Text = "Upload Template:";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.FileUpload @__BuildControlfuTemplateUpload() {
            global::System.Web.UI.WebControls.FileUpload @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.FileUpload();
            this.fuTemplateUpload = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "fuTemplateUpload";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("CausesValidation", "false");
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Button @__BuildControlbtnUpload() {
            global::System.Web.UI.WebControls.Button @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Button();
            this.btnUpload = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "btnUpload";
            @__ctrl.Text = "Upload";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            @__ctrl.CausesValidation = false;
            @__ctrl.Click -= new System.EventHandler(this.btnUpload_Click);
            @__ctrl.Click += new System.EventHandler(this.btnUpload_Click);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control3(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                        <td></td>\r\n                        <td>\r\n              " +
                        "              "));
            global::System.Web.UI.WebControls.Button @__ctrl1;
            @__ctrl1 = this.@__BuildControlbtnUpload();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                        </td>\r\n                        <td></td>\r\n             " +
                        "       "));
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.PostBackTrigger @__BuildControl__control5() {
            global::System.Web.UI.PostBackTrigger @__ctrl;
            @__ctrl = new global::System.Web.UI.PostBackTrigger();
            @__ctrl.ControlID = "btnUpload";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control4(System.Web.UI.UpdatePanelTriggerCollection @__ctrl) {
            global::System.Web.UI.PostBackTrigger @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control5();
            @__ctrl.Add(@__ctrl1);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.UpdatePanel @__BuildControludpbtnDownload() {
            global::System.Web.UI.UpdatePanel @__ctrl;
            @__ctrl = new global::System.Web.UI.UpdatePanel();
            this.udpbtnDownload = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ContentTemplate = new System.Web.UI.CompiledTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control3));
            @__ctrl.ID = "udpbtnDownload";
            this.@__BuildControl__control4(@__ctrl.Triggers);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblError() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblError = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblError";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblSuccess() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblSuccess = @__ctrl;
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblSuccess";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "display: none;");
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control2(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        <table class=\"style1\" id=\"Download_page\" cellspacing=\"0\">\r\n            " +
                        "<tr>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControllblTemplate();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl2;
            @__ctrl2 = this.@__BuildControlddlTemplate();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        ">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControllblProjectName();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl4;
            @__ctrl4 = this.@__BuildControlddlProjectName();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        ">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl5;
            @__ctrl5 = this.@__BuildControllblPeriod();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl6;
            @__ctrl6 = this.@__BuildControlddlPeriod();
            @__parser.AddParsedSubObject(@__ctrl6);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n             <tr>\r\n                <t" +
                        "d>\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl7;
            @__ctrl7 = this.@__BuildControllblTemplateUpload();
            @__parser.AddParsedSubObject(@__ctrl7);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.FileUpload @__ctrl8;
            @__ctrl8 = this.@__BuildControlfuTemplateUpload();
            @__parser.AddParsedSubObject(@__ctrl8);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                "));
            global::System.Web.UI.UpdatePanel @__ctrl9;
            @__ctrl9 = this.@__BuildControludpbtnDownload();
            @__parser.AddParsedSubObject(@__ctrl9);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </tr>\r\n            <tr>\r\n                <td></td>\r\n               " +
                        " <td>\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl10;
            @__ctrl10 = this.@__BuildControllblError();
            @__parser.AddParsedSubObject(@__ctrl10);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("</td>\r\n                <td>\r\n                </td>\r\n            </tr>\r\n          " +
                        "  <tr>\r\n                <td></td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl11;
            @__ctrl11 = this.@__BuildControllblSuccess();
            @__parser.AddParsedSubObject(@__ctrl11);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"</td>
                <td>
                </td>
            </tr>
        </table>
<script type=""text/javascript"">
    function waitMessage() {
        try {
            if (Page_IsValid) {
                SP.SOD.execute('sp.ui.dialog.js', 'SP.UI.ModalDialog.showWaitScreenWithNoClose', ""Please wait ....."");
            }
            else {
                return Page_IsValid;
            }
        }
        catch (err) {
            //alert(err);
            //SP.SOD.execute('sp.ui.dialog.js', 'SP.UI.ModalDialog.showModalDialog', options);
        }
        return true;
    }
    function closeWaitMessage() {
        try {
            SP.SOD.execute('sp.ui.dialog.js', 'SP.UI.ModalDialog.commonModalDialogClose', 1);
        } catch (e) {
        }
    }
</script>
    "));
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.PostBackTrigger @__BuildControl__control7() {
            global::System.Web.UI.PostBackTrigger @__ctrl;
            @__ctrl = new global::System.Web.UI.PostBackTrigger();
            @__ctrl.ControlID = "btnUpload";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control6(System.Web.UI.UpdatePanelTriggerCollection @__ctrl) {
            global::System.Web.UI.PostBackTrigger @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control7();
            @__ctrl.Add(@__ctrl1);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.UpdatePanel @__BuildControlupdatePanelDownload() {
            global::System.Web.UI.UpdatePanel @__ctrl;
            @__ctrl = new global::System.Web.UI.UpdatePanel();
            this.updatePanelDownload = @__ctrl;
            @__ctrl.ContentTemplate = new System.Web.UI.CompiledTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control2));
            @__ctrl.ID = "updatePanelDownload";
            @__ctrl.EnableViewState = true;
            this.@__BuildControl__control6(@__ctrl.Triggers);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control8(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("Upload is in Progress"));
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.UpdateProgress @__BuildControlupProgressBar() {
            global::System.Web.UI.UpdateProgress @__ctrl;
            @__ctrl = new global::System.Web.UI.UpdateProgress();
            this.upProgressBar = @__ctrl;
            @__ctrl.ProgressTemplate = new System.Web.UI.CompiledTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control8));
            @__ctrl.AssociatedUpdatePanelID = "udpbtnDownload";
            @__ctrl.ID = "upProgressBar";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControlTree(global::QMDDashboard_TPL.UploadTemplate.UploadTemplate @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"
<style type=""text/css"">
    #Download_page {
        /*width: 60%;*/
         width: 80%;
        margin: 0px auto;
    }
        #Download_page tbody tr td select {
            width: 300px;
            margin-left: 10px;
            margin-bottom: 5px;
            margin-top: 5px;
        }
        #Download_page tbody tr td:first-child {
            text-align: right;
        }
        #Download_page tbody tr td:last-child {
            text-align: left;
        }
        #Download_page tbody tr td input[id$=""_btnUpload""] {
            background: #4778d5;
            color: #fff;
            border-color: #4778d5;
            font-weight: bold;
        }
</style>
"));
            global::System.Web.UI.UpdatePanel @__ctrl1;
            @__ctrl1 = this.@__BuildControlupdatePanelDownload();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.UpdateProgress @__ctrl2;
            @__ctrl2 = this.@__BuildControlupProgressBar();
            @__parser.AddParsedSubObject(@__ctrl2);
        }
        
        private void InitializeControl() {
            this.@__BuildControlTree(this);
            this.Load += new global::System.EventHandler(this.Page_Load);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual object Eval(string expression) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual string Eval(string expression, string format) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression, format);
        }
    }
}
